Package com.ads.api.beans.common

# Enum Class APIConstants.MetadataScanAction

java.lang.Object
java.lang.Enum<APIConstants.MetadataScanAction>
com.ads.api.beans.common.APIConstants.MetadataScanAction

All Implemented Interfaces:
  `Serializable`, `Comparable<APIConstants.MetadataScanAction>`, `Constable`

Enclosing class:
  APIConstants

public static enum APIConstants.MetadataScanAction extends Enum<APIConstants.MetadataScanAction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPEND`
  APPEND Operation refers to Add New
  `FRESH_UPLOAD`
  FRESH_UPLOAD Operation refers to Delete and Reload
  `UPDATE_APPEND`
  UPDATE_APPEND Operation refers to UpdateExisting and Add New
  `UPDATE_APPEND_INVALIDATE`
  UPDATE_APPEND Operation refers to UpdateExisting and Add New

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static APIConstants.MetadataScanAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static APIConstants.MetadataScanAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FRESH_UPLOAD

    public static final APIConstants.MetadataScanAction FRESH_UPLOAD
    FRESH_UPLOAD Operation refers to Delete and Reload

  - ### APPEND

    public static final APIConstants.MetadataScanAction APPEND
    APPEND Operation refers to Add New

  - ### UPDATE_APPEND

    public static final APIConstants.MetadataScanAction UPDATE_APPEND
    UPDATE_APPEND Operation refers to UpdateExisting and Add New

  - ### UPDATE_APPEND_INVALIDATE

    public static final APIConstants.MetadataScanAction UPDATE_APPEND_INVALIDATE
    UPDATE_APPEND Operation refers to UpdateExisting and Add New

- ## Method Details

  - ### values

    public static APIConstants.MetadataScanAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static APIConstants.MetadataScanAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<APIConstants.MetadataScanAction>`